CREATE TABLE USUARIO (
ID_USUARIO INTEGER,
LOGIN VARCHAR(10),
SENHA VARCHAR(10),
INCLUI VARCHAR(1),
ALTERA VARCHAR(1),
EXCLUI VARCHAR(1),
CONSULTA VARCHAR(1),
IMPRIME VARCHAR(1),
UTILITARIOS VARCHAR(1),
PARAMETROS VARCHAR(1),
MOVIMENTOS VARCHAR(1),
USUARIOS VARCHAR(1)
);

CREATE GENERATOR GEN_ID_USUARIO ;

SET TERM ^;

CREATE TRIGGER TRIG_GEN_ID_USUARIO  FOR USUARIO
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
   NEW.ID_USUARIO = gen_id(GEN_ID_USUARIO,1);
END
^

COMMIT WORK^
SET TERM;^

INSERT INTO USUARIO (LOGIN,SENHA,INCLUI,ALTERA,EXCLUI,CONSULTA,IMPRIME,UTILITARIOS,PARAMETROS,MOVIMENTOS,USUARIOS) VALUES ('SUPORTE','AEMASTERAE','S','S','S','S','S','S','S','S','S');

